formula2mass {bio3d} | R Documentation

## Chemical Formula to Mass Converter

### Description

Compute the molar mass associated to a chemical formula.

### Usage

    formula2mass(form, sum.mass = TRUE)

### Arguments

`form` | a character string containing a chemical formula on the form: 'C3 H5 N O1'.
`sum.mass` | logical, should the mass of each element be summed.

### Details

Compute the molar mass (in g.mol-1) associated to a chemical formula.

### Value

Return a single element numeric vector containing the mass corresponding to a given chemical formula.

### Author(s)

Lars Skjaerven

### See Also

`atom2ele`, `atom2mass`

### Examples

    #formula2mass("C5 H6 N O3")

[Package bio3d version 2.3-4 Index]